Distribution:	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Name:		polkit-qt-1
Version:	0.95.1
Release:	1
Summary:	Qt bindings for PolicyKit

Group:		System/Libraries
License:	GPLv2+
URL:		http://api.kde.org/kdesupport-api/kdesupport-apidocs/polkit-qt/html/
Source0:	http://download.kde.org/stable/apps/KDE4.x/admin/polkit-qt-1-0.95.1.tar.bz2
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires:  automoc4
BuildRequires:  cmake
#BuildRequires:  PolicyKit-devel
BuildRequires:  qt4-devel

%description
Polkit-qt is a library that lets developers use the PolicyKit API through a nice
Qt-styled API. It is mainly a wrapper around QAction and QAbstractButton that
lets you integrate those two component easily with PolicyKit.

%package devel
Summary: 	Development files for %{name}
Group: 		Development/Libraries
Requires: 	%{name} = %{version}-%{release}
Requires: 	pkgconfig
Requires: 	PolicyKit-devel
%description devel
%{summary}.

%package examples 
Summary: Example files for %{name}
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
%description examples 
%{summary}.


%prep
%setup -q


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake} -DBUILD_EXAMPLES=1 ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
rm -rf %{buildroot}
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}


%clean
rm -rf %{buildroot}


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%{_libdir}/libpolkit-qt-agent-1.so.0*
%{_libdir}/libpolkit-qt-core-1.so.0*
%{_libdir}/libpolkit-qt-gui-1.so.0*

%files devel
%defattr(-,root,root,-)
%{_includedir}/polkit-qt-1/
%{_libdir}/libpolkit-qt-agent-1.so
%{_libdir}/libpolkit-qt-core-1.so
%{_libdir}/libpolkit-qt-gui-1.so
%{_libdir}/pkgconfig/polkit-qt-1.pc
%{_libdir}/pkgconfig/polkit-qt-agent-1.pc
%{_libdir}/pkgconfig/polkit-qt-core-1.pc
%{_libdir}/pkgconfig/polkit-qt-gui-1.pc

%files examples
%defattr(-,root,root,-)
%{_sysconfdir}/dbus-1/system.d/org.qt.policykit.examples.conf
%{_bindir}/polkit-example-helper
%{_datadir}/dbus-1/system-services/org.qt.policykit.examples.service
%{_datadir}/polkit-1/actions/org.qt.policykit.examples.policy

%changelog
* Wed Dec 23 2009 Karsten Brockmann <arcam@ccux-linux.de> 0.95.1-1
- Initial CCux package release
